Last Transaction
Last updated: 2026-03-25
POST
/in-store/api/v1/terminal/{terminalId}/lastTransactionRetrieve the last transaction processed on a specific terminal
Path Parameters
terminalIdstringrequiredThe ID of the terminal to retrieve the last transaction for.
HTTP Status Code Summary
| Code | Description |
|---|---|
| 201 | Last transaction result returned successfully. |
| 400 | Bad request. Check that the terminalId path parameter is valid. |
| 401 | Unauthorized. Ensure your bearer token and subscription key are valid. |
| 409 | Conflict. |
| 422 | Unprocessable entity. No transaction found or terminal is in an invalid state. |
Request
cURL
1curl -X 'POST' \
2 'https://demo-api.westpay.se/in-store/api/v1/terminal/<terminalId>/lastTransaction' \
3 -H 'accept: application/json' \
4 -H 'Ocp-Apim-Subscription-Key: <merchant-subscription-key>' \
5 -H 'Authorization: Bearer <access-token>'Response
Response
1{
2 "onlineAPIRefId": "23179040000954"
3}